Interface IgniteEventsEndpointBuilderFactory.IgniteEventsBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
IgniteEventsEndpointBuilderFactory
public static interface IgniteEventsEndpointBuilderFactory.IgniteEventsBuilders
-
Method Summary
Modifier and TypeMethodDescriptionigniteEvents(String path) Ignite Events (camel-ignite) Receive events from an Ignite cluster by creating a local event listener.igniteEvents(String componentName, String path) Ignite Events (camel-ignite) Receive events from an Ignite cluster by creating a local event listener.
-
Method Details
-
igniteEvents
Ignite Events (camel-ignite) Receive events from an Ignite cluster by creating a local event listener. Category: messaging,cache,clustering Since: 2.17 Maven coordinates: org.apache.camel:camel-ignite Syntax:ignite-events:endpointIdPath parameter: endpointId The endpoint ID (not used).- Parameters:
path- endpointId- Returns:
- the dsl builder
-
igniteEvents
default IgniteEventsEndpointBuilderFactory.IgniteEventsEndpointBuilder igniteEvents(String componentName, String path) Ignite Events (camel-ignite) Receive events from an Ignite cluster by creating a local event listener. Category: messaging,cache,clustering Since: 2.17 Maven coordinates: org.apache.camel:camel-ignite Syntax:ignite-events:endpointIdPath parameter: endpointId The endpoint ID (not used).- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- endpointId- Returns:
- the dsl builder
-